.group-member-gallery-card {
    padding: 10px;

    .gmg-card-top {
        flex-flow: wrap;
        gap: 15px;

        .gmg-card-img {
            .image__wrapper {
                min-width: 94px;
                .ugly__hack {
                    display: none;
                }
                img {
                    box-shadow: none;
                    border: none;
                    padding: 0;
                }
            }
        }
    }
    .gmg-card-right-info {
        a {
            text-decoration: none;
            color: $orange;
            &:hover, &:focus, &:active {
                color: $orange;
            }
            h6 {
                line-height: 21.6px;
                font-family: $mainFont;
            }
        }
        .grey-sub-text {
            font-size: 14px;
            line-height: 16.8px;
            font-weight: 300;
        }
    }
    .gmg-card-bottom {
        margin-top: 12px;

        p {
            color: $black;
        }

        .committee-cluster {
            font-size: 14px;
            line-height: 16.8px;
            font-weight: 300;
        }
    }
}

.view-group-members-gallery {
    &.non-sbf-profile-gallery {
        .view-filters {
            .js-form-item {
                &.js-form-item-items-per-page {
                    width: 100%;
                }
            }
        }
    }
    &.no-record-found {
        .view-empty {
            .view-group-members-gallery {
                display: none;
            }
            .no-member-text {
                display: block!important;
                font-size: 0.75rem;
            }
        }
    }
    .view-empty {
        & + nav {
            display: none;
        }
    }
    &.view-display-id-block_2 {
        .view-filters {
            display: none;
        }
    }
    .pagination {
        justify-content: center;
        margin-top: 20px;

        .pager__item {
          padding-top: 7px;
          padding-right: 15px;
          text-transform: uppercase;
          word-spacing: 4px;

          span.border-around-text {
            border: 1px solid;
            padding: 2px 6px;
            border-radius: 3px;
          }
        }

        a.page-link {
          border: 0;
          font-size: 24px;
          min-width: 10px;

          &:active,&:hover,&:focus {
              background: no-repeat;
              box-shadow: none;
              border: none;
              text-decoration: none;
          }
        }
    }
    .views-view-responsive-grid {
        .views-view-responsive-grid__item {
            border: 1px solid $steelblue-dark;
        }
    }
    .view-filters {
        display: flex;
        margin-left: auto;

        .bef-links {
            @extend .leaf-view-pager-bef-links-theme;
        }

        form {
            width: 100%;
            font-size: 0.75rem;
            @extend .leaf-view-page-pager-theme;
            > .d-flex {
                gap: 20px;
                justify-content: space-between;
            }
            .js-form-item {
                margin: 0;
                .form-select {
                    border: 1px solid $black;
                    border-radius: 3px;
                }
                &.js-form-item-field-committee-cluster-value {
                    order: 1;
                }
                &.js-form-item-field-sbf-participant-roles-value {
                    order: 2;
                }
                &.js-form-item-items-per-page {
                    margin: 0;
                    order: 4;
                }
                &.js-form-item-group-sort-bef-combine,
                &.js-form-item-sort-bef-combine {
                    order: 3;
                    select {
                        width: 140px;
                    }
                }
            }
            .form-actions {
                display: none;
            }
            select {
                -moz-appearance:none; /* Firefox */
                -webkit-appearance:none; /* Safari and Chrome */
                appearance:none;
                padding: 5px;
                background-image: url('data:image/svg+xml;utf8,<svg width="13" height="6" viewBox="0 0 13 6" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.381821 0.999994C0.381821 0.899994 0.381821 0.799994 0.523639 0.799994L1.51637 0.0999939C1.65818 -6.10761e-06 1.94182 -6.10761e-06 2.08364 0.0999939L6.48 3.19999L10.8764 0.0999939C11.16 -6.10761e-06 11.4436 -6.10761e-06 11.5855 0.0999939L12.5782 0.799994C12.5782 0.799994 12.72 0.899994 12.72 0.999994C12.72 1.09999 12.72 1.19999 12.5782 1.19999L6.90546 5.1C6.76364 5.2 6.48 5.2 6.19637 5.1L0.523639 1.19999C0.381821 1.09999 0.381821 0.999994 0.381821 0.999994Z" fill="black"/></svg>');
                background-repeat: no-repeat;
                background-position: right;
                background-position-x: 95%;
            }
        }
    }
}

// Group member details page theme.
div#block-leaf-base-groupmemberpageheaderblock {
    a {
        &:hover, &:focus {
            text-decoration: none;
        }
    }
}

.member-profile-page-main {
    background-color: $grey-wild-sand;

    .group-member-page-wrapper {
        .gmp-left-block {
            .gmp-profile-img-intro {
                gap: 15px;
                .gmp-profile-img {
                    min-width: 183px;

                    @include mobile-only {
                        text-align: center;
                    }

                    .ugly__hack {
                        display: none;
                    }
                    img {
                        box-shadow: none;
                        border: none;
                        padding: 0;
                    }
                }
                .gmp-img-right-info {
                    h4 {
                        text-transform: capitalize;
                        color: $black;
                    }
                    .sub-intro {
                        font-size: 14px;
                        font-weight: 700;
                        font-style: italic;
                        line-height: 24px;
                        color: $black;
                    }
                }
            }
            .gmp-profile-img-intro-bottom {
                .top-label-desc-down {
                    font-size: 14px;
                    .label {
                        font-weight: 700;
                        line-height: 16.8px;
                        text-transform: uppercase;
                    }
                    .desc {
                        font-weight: 400;
                        line-height: 20px;
                        color: $darkgray;
                    }

                }
                .biography {
                    color: $black;
                    font-size: 14px;
                }
            }
        }
        .gmp-right-block {
            font-size: 16px;
            line-height: 24px;
            font-weight: 400;

            @include tablet-large-device {
                border-left: 1px solid $black;
                position: relative;
                max-height: 358px;
                padding-left: 40px;
            }

            i {
                padding-right: 8px;
            }
            a {
                color: $steelblue;
                font-size: 14px;
                line-height: 24px;
                font-weight: 400;

                &:hover, &:focus {
                    text-decoration: none;
                }
            }
            .send-direct-msg-user {
                margin-top: 20px;

                @include tablet-large-device {
                    margin-top: 40px;
                    position: absolute;
                    bottom: 0;
                }

                a {
                    border: 1px solid;
                    padding: 7px;
                    display: block;
                    width: 272px;
                    text-transform: uppercase;
                    font-size: 12px;
                    font-weight: 400;
                    line-height: 16px;
                    border-radius: 3px;
                }
            }
        }
    }  
}

.bottom-grid.layout {
  > div.col-12 {
    display: flex;
    @include mobile-only {
        display: block;
    }

    .views-element-container {
        &.block-views {
            margin-right: 20px;
            width: 33.33%;

            @include mobile-only {
              width: 100%;
              margin-left: 10px;
              margin-right: 10px;
            }

            &:last-child {
                margin-right: 0;
            }

            .member-profile-grid {
                h6 {
                    a {
                      color: $steelblue;
                      &:hover, &:focus {
                        text-decoration: none;
                      }
                    }
                }
                .grid-heading {
                    border-bottom: 1px solid $black;
                }
            
                .image__wrapper {
                    margin-bottom: 20px;
                    .ugly__hack {
                        display: none;
                    }
                    img {
                        box-shadow: none;
                        border: none;
                        padding: 0;
                    }
                }
            }
        }
    }
  }
}
